# norootforbuild
#%define my_release 0
Name:         lsi-megaraid_sas
BuildRequires: %kernel_module_package_buildreqs
License:      GPL
Group:        System/Kernel
Summary:      LSI MegaRAID SAS Driver  
Version:      06.600.20.00
Release:      1.1
Source0:      %name-%version.tar.bz2
Source1:      Module.supported
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%kernel_module_package

%description
This is a Kernel Module Package for the LSI MegaRAID SAS Driver.

%package KMP
Summary: LSI MegaRAID SAS Driver
Group: System/Kernel

%description KMP
This is a Kernel Module Package for the LSI MegaRAID SAS Driver.

%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Wed Feb  6 2013 poswald@suse.com
-Initial PLDP build of the megaraid_sas v00.00.06.19
